Results 1 to 1 of 1

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Having a tough time trying to figure out how to get my phone to 4.3.3 safely...

  1. #1
    Hello!

    I've been out of the iPhone JB/Unlock scene for awhile since I got my 3G stolen, but I recently acquired a new 3GS! I'm enjoying it a lot, but I'm having trouble figuring out how to proceed updating it.

    When I got the phone I had no idea what firmware it was, it was either 3.0+ or 4.0, I updated to 4.0 to be safe because I knew it had an unlockable baseband. Updated, JB with limera1n, unlocked, great good to go.

    But I would like to be at 4.3.3, just to have the latest functional updates. I've made countless custom IPSWs with snowbreeze, and had no problems. When I tried to restore using iTunes at first it gave me error 3194, I use TinyUmbrella to get around that (not sure how it does this, I just found it it did). Everything goes fine until it tries to verify, and I get error 37. I cannot get around this.

    I'm not sure because I've been out of the loop, but I hear Apple has to sign firmwares for them to be installed. I've looked everywhere trying to find the answer to my problem but I can't find anything solid. Then I realized, 4.3.5 JUST came out, is the reason I'm having this problem is because Apple is no longer signing 4.3.3?

    Is basically anyone on a 3GS who wants to go to 4.3.3 while keeping the baseband screwed right now? Do I have to wait for a new JB for a FW that Apple is still signing before I can upgrade my firmware while retaining baseband?

    Hmmm, after some more research I think I figured it out, I think TU can only guarantee restores on firmwares it saves SHSHs for. When backing up my SHSH I did not get one for 4.3.3, but I did get on for 4.2.1, does that mean I can upgrade to 4.2.1 at least with a JB/Baseband using the same method I did before?

    EDIT 2:

    Yeah that was it, didn't have the SHSH for 4.3.3 for my device, can't update to 4.3.3, but I did get 4.2.1 which is pretty good, I got game center now and kept my baseband.

    Was hoping I could get the new javascript engine for safari in 4.3.3...but oh well, this is definitely good enough and I finally figured out why it wasn't working.

    Hope this helps someone, who has the problem too.
    Last edited by ebj7; 2011-07-30 at 08:25 PM.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •